{**REM**************************************************************************
     Name : fhk     Datum :               Letzte nderung :18.05.93
     Macrosammlung zum erstellen einer 'logical table' die die Winkel liefert
*******************************************************************END_REM****80}
{* V13 checked fhk 08.11.05 *}

DEFINE fk_winkel
 LOCAL file_addr
 LOCAL param_name_ltab
                { hier v aendern}
 LET file_addr (*PFAD ZUR DATEI*+'\winkeltab.m')
 LET param_name_ltab 'cat_winkel_ltab'
 fk_winkel_fill_logical_table   file_addr   param_name_ltab
 fk_winkel_lt
END_DEFINE

DEFINE fk_winkel_fill_logical_table
 PARAMETER file_addr
 PARAMETER param_name_ltab
 LOCAL I
 LOCAL B
 LOCAL loc_string
 LOCAL Num_of_lines
 LET I 1
 LET B 1
  LET Num_of_lines 0
  OPEN_INFILE 1 File_addr
  LOOP
    READ_FILE 1 Loc_string
  EXIT_IF (Loc_string='END-OF-FILE')
    LET Num_of_lines (Num_of_lines+1)
  END_LOOP

 CREATE_LTAB                    {Create logical table}
 (num_of_lines/4)               {n rows }
 4                              {4 columns}
 param_name_ltab
 OPEN_INFILE 1 file_addr
 REPEAT
   REPEAT
     READ_FILE 1 loc_string
       IF (loc_string <> 'END-OF-FILE')
         write_ltab  param_name_ltab  I B (val (SUBSTR loc_string 1 3 ))
       ELSE
         write_ltab  param_name_ltab  I B ' '
       END_IF
       IF (pos loc_string '*')
         highlight_ltab  param_name_ltab  I B on
       END_IF
     LET B (B+1)
   UNTIL (B = 5)
   LET B 1
   LET I (I+1)
 UNTIL (loc_string = 'END-OF-FILE')
COLOR_LTAB 'cat_winkel_ltab' ALL CYAN bcol0
END_DEFINE

DEFINE fk_winkel_lt
 LOCAL field_s
 LOCAL tab_ll
 LOCAL tab_ur
 LOCAL frame_width_v
 LOCAL table_slot_height
 LOCAL tab_hi_slot

 LET field_s (23)
 LET frame_width_v 1
 LET tab_ll (PNT_XY ((X_OF graphic_area_up_right) - menu_width)
                                         (Y_OF graphic_area_low_left))
 LET tab_ur (PNT_XY (X_OF graphic_area_up_right)
                         ((Y_OF graphic_area_low_left) + menu_height))
 LET tab_hi_slot ((Y_OF (tab_ur -tab_ll) /20)-0.2)
 LET table_slot_height tab_hi_slot

 TABLE_LAYOUT 'lt_fk_winkel' 'cat_winkel_ltab'
 FRAME_WIDTH frame_width_v
 tab_ll
 tab_ur
 TITLE_LAYOUT   table_slot_height '   |   |   |   |   |   ' END
 COLUMN_LAYOUT  table_slot_height '     |     |     |     ' END
 TABLE_TITLE 'lt_fk_winkel' WHITE bcol5 ' - ' "'-'" 1 1 END
 TABLE_TITLE 'lt_fk_winkel' WHITE bcol5 'UMR' "'UMRECHNUNG'" 1 2 END
 TABLE_TITLE 'lt_fk_winkel' WHITE bcol5 ' > '     "0" 1 3 END
 TABLE_TITLE 'lt_fk_winkel' WHITE bcol5 ' ^ '     "90" 1 4 END
 TABLE_TITLE 'lt_fk_winkel' WHITE bcol5 ' < '     "180" 1 5 END
 TABLE_TITLE 'lt_fk_winkel' WHITE bcol5 ' v '     "270" 1 6 END
END_DEFINE
